export default {
	data(){
		return{
			inputStyle:'color:#CAD0D7;font-weight:400;font-size:28rpx',
		}
	},
	methods: {
		callPhone(mobile) {
			if (!mobile) return
			uni.makePhoneCall({
				phoneNumber: mobile
			})
		},
		// 复制
		copy(no) {
			if (!no) return
			uni.setClipboardData({
				data: no,
				success: res => {
					uni.showToast({
						title: '复制成功',
						icon: 'none',
						duration: 2000
					});
				}
			});
		},
		goPage(url, type) {
			console.log('url:',url,'type:',type)
			if (type === 'none') {
				return
			}
			if (type === 'switchTab') {
				uni.switchTab({
					url: url
				})
			} else if (type === 'redirectTo') {
				uni.redirectTo({
					url: url
				})
			} else if (type === 'reLaunch') {
				uni.reLaunch({
					url: url
				})
			} else {
				if (type === false) {
					this.$u.toast('暂无权限')
					return
				}
				uni.navigateTo({
					url: url
				})
			}
		}
	}
}
